Summary: A generic file selection front-end
Name: dfish
Version: 1.3
Release: 2%{dist}
License: GPL+
Group: Applications/File
Source: http://danielsoft.sweb.cz/%{name}-%{version}.tar.gz
URL: http://danielsoft.sweb.cz/dfish.html
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: tcl, tk


%description
Daniel's File Selection Hack (dfish) is a generic front-end
for selecting files.
Running dfish will give you a menu with all the files in
the specified directory. When you double-click a file,
an arbitrary command will be run.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 dfish $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 dfish.1 $RPM_BUILD_ROOT/%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_bindir}/dfish
%doc README CHANGELOG COPYING
%{_mandir}/man1/dfish.1*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 08 2010 Daniel Novotny <dnovotny@redhat.com> 1.3-1
- new upstream version

* Fri Feb 05 2010 Daniel Novotny <dnovotny@redhat.com> 1.2-1
- initial package creation
